/*
 * iwconnect/iwc_print.h
 * $Rev: 1222 $
 *
 * Copyright (C) 2009-2010 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IWC_PRINT_H
#define IWC_PRINT_H

/**
 * @file iwc_print.h
 * @brief Interface to iwconnect output functions (defined in iwconnect.c)
 */

#include <stdarg.h>


/* PUBLIC PRINT FUNCTIONS *****************************************************/

/** Debug function pointers */
int (*iwc_debug)(const char* format, ...);
void (*iwc_debug_args)(const char* format, va_list args);

/** Print error message */
int
iwc_error(const char *, ...);

/** Send message to syslog and print to debug output */
void
iwc_log(const char *, ...);

#endif // IWC_PRINT_H
